/*
 * JPA entity PK template
 */

package de.ivu.elect.business.entschaedigung.entity;

@javax.enterprise.inject.Vetoed
public class AuszahlungPK extends de.ivu.elect.jee.entity.EntityLongPK implements Comparable<AuszahlungPK> {

  private static final long serialVersionUID = 0L;

  public AuszahlungPK() {
    super();
  }

  public AuszahlungPK(java.lang.Long id) {
    super(id);
  }

  @Override
  public String toString(){
    return "AuszahlungPK:"+getId();
  }

  @Override
  public int compareTo(AuszahlungPK o) {
  	if (o == null) {
  		return -1;
  	}
  	if (getId() == null) {
  		if (o.getId() == null) {
  			return 0;
  		}
  		return 1;
  	}
  	if (o.getId() == null) {
  		return -1;
  	}
    return getId().compareTo(o.getId());
  }

}
